package foo;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Formatter;

public class Utils {
	
	private static final DateFormat DF = new SimpleDateFormat("HH:mm:ss,SSS"); 
	
	public static void print(String activity, String event, String execution, String thread) {
        StringBuilder builder = new StringBuilder();
        Formatter formatter = new Formatter(builder);
        
        formatter.format("%s : %-5s %-9s : execution = %-20s : thread = %s", DF.format(new Date()), activity, event, execution, thread);
        
        System.out.println(builder);
	}
}
