package foo;

import java.util.Map;

import org.jbpm.api.activity.ActivityExecution;
import org.jbpm.api.activity.ExternalActivityBehaviour;

public class TestActivity implements ExternalActivityBehaviour {

	@Override
	public void execute(ActivityExecution execution) throws Exception {
		Utils.print(execution.getActivityName(), "executing", execution.getId(), Thread.currentThread().getName());
		CallbackListener.getInstance().register(execution.getActivityName(), execution.getId());
		execution.waitForSignal();
		Utils.print(execution.getActivityName(), "waiting", execution.getId(), Thread.currentThread().getName());
	}

	@Override
	public void signal(ActivityExecution execution, String signalName, Map<String, ?> parameters) throws Exception {
		Utils.print(execution.getActivityName(), "wokeup", execution.getId(), Thread.currentThread().getName());
	}
}
